--[决斗编年史]开始游戏吧！
function c20079999.initial_effect(c)
	--Activate
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)
	--atk up
	local e2=Effect.CreateEffect(c)
	e2:SetType(EFFECT_TYPE_FIELD)
	e2:SetCode(EFFECT_UPDATE_ATTACK)
	e2:SetRange(LOCATION_SZONE)
	e2:SetTargetRange(LOCATION_MZONE,0)
	e2:SetTarget(c20079999.tgfilter)
	e2:SetValue(c20079999.val)
	c:RegisterEffect(e2)
end
function c20079999.tgfilter(e,c)
	return c:IsSetCard(0x3008) or c:IsSetCard(0x9)
end
function c20079999.filter(c)
	return c:IsFaceup() and c:IsRace(RACE_WARRIOR+RACE_SPELLCASTER)
end
function c20079999.val(e,c)
	return c:GetBaseAttack()
end

